---
import { Icon } from 'astro-icon';

const items = [
	[
		{
			title: 'HUD (heads-up display)',
			description:
				'Need help navigating that app? Just press Alt and let Unity7\'s bossy little assistant shout menu options in your ear.',
			icon: 'tabler:menu-2',
		},
		{
			title: 'Global Menu',
			description:
				'Need to access the options and functions of your apps without cluttering up your screen? Just hover over the panel and let Unity7\'s global menu appear like a friendly genie, granting your every menu-related wish.',
			icon: 'tabler:components',
		},
		{
			title: 'Dash',
			description:
				'Unity7\'s dash is like a trusty treasure chest, filled to the brim with all your favorite apps and information, just waiting for you to dig in and explore.',
			icon: 'tabler:apps',
		},
	],
	[
		{
			title: 'Indicators',
			description:
				'Need to connect to WiFi, switch themes, check battery life, or do any other quick computer tasks? Unity7\'s indicators have got you covered, serving as your one-stop shop for all your computer needs.',
			icon: 'tabler:circles',
		},
		{
			title: 'Inituitive UI',
			description:
				'Get stuff done with Unity, the Linux desktop ally packed with features and an intuitive interface. Let it help you conquer your digital world (or at least your desktop).',
			icon: 'tabler:wand',
		},
		{
			title: 'For everyone',
			description:
				'Unity caters to both newbies and power users, with both keyboard and mouse options for streamlined navigation and efficient workflow.',
			icon: 'tabler:social',
		},
	],
];
---

<section class="scroll-mt-16" id="features">
	<div class="px-4 py-16 mx-auto max-w-6xl lg:px-8 lg:py-20">
		<div class="mb-10 md:mx-auto sm:text-center md:mb-12 max-w-3xl">
			<p class="text-base text-primary-600 dark:text-primary-200 font-semibold tracking-wide uppercase">Features</p>
			<h2 class="text-4xl md:text-5xl font-bold leading-tighter tracking-tighter mb-4 font-heading">
				What you get with <span class="whitespace-nowrap">Unity</span>
			</h2>
			<p class="max-w-3xl mx-auto sm:text-center text-l text-gray-600 dark:text-slate-400">
				The Unity desktop environment is like the Batman of desktop environments - sleek, powerful, and always ready to save the day (or at least your productivity).
			</p>
		</div>
		<div class="grid mx-auto space-y-6 md:grid-cols-2 md:space-y-0">
			{
				items.map((subitems) => (
					<div class="space-y-8 sm:px-8">
						{subitems.map(({ title, description, icon }) => (
							<div class="flex flex-row max-w-md">
								<div class="mb-4 mr-4">
									<div class="flex items-center justify-center w-12 h-12 rounded-full bg-primary-500 dark:bg-primary-700">
										{icon && <Icon name={icon} class="w-6 h-6 text-white icon-light" />}
									</div>
								</div>
								<div>
									<h3 class="mb-3 text-xl font-bold">{title}</h3>
									<p class="text-gray-600 dark:text-slate-400">{description}</p>
								</div>
							</div>
						))}
					</div>
				))
			}
		</div>
	</div>
</section>
